<!doctype html>
<html>

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

	<title>Pseudocode</title>

	<link rel="icon" type="image/png" href="images/org_symbol.png" />
	<link rel="stylesheet" href="css/reset.css">
	<link rel="stylesheet" href="css/reveal.css">

	<link rel="stylesheet" href="css/theme/black.css" id="theme">

	<!-- Theme used for syntax highlighting of code -->
	<link rel="stylesheet" href="lib/css/monokai.css">

	<!-- Printing and PDF exports -->
	<script>
		var link = document.createElement('link');
		link.rel = 'stylesheet';
		link.type = 'text/css';
		link.href = window.location.search.match(/print-pdf/gi) ? 'css/print/pdf.css' : 'css/print/paper.css';
		document.getElementsByTagName('head')[0].appendChild(link);
	</script>
</head>

<body>
	<!-- UGLY inline CSS but using this div to test Unclassified banner -->
	<!-- <div style="background:green; left:0; right:0; position:absolute; height:30px;">
			<div style="text-align: center;">(U)Unclassified</div>
		</div> -->
	<div class="reveal">
		<div class="slides">
			<section data-background-image="images/org_symbol.png" data-background-size="8%"
				data-background-position="top 5% left 5%">
				<section>
					<h1>Intro to Programming</h1>
				</section>

				<section >
				<h2>Overview</h2>
				<ul>
					<li><em>Overview of computer systems</em></li>
					<li>
                        Understand Binary
                        <ul>
                            <li>Logical Operators</li>
                            <li>Binary Arithmetic</li>
                        </ul>
                    </li>
					<li>Bitwise Shift</li>
					<li>Programming Languages
                        <ul>
                            <li>Compiled vs Interpreted</li>
                        </ul>
                    </li>
				</ul>
				<aside class="notes">
					Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for
					instructor view!!
				</aside>
			</section>
			
			<section>
				<h2>Course Objectives</h2>
			</section>
        </section>
        <section>
            <section>
                <h2>Overview of computer systems</h2>
                <ul>
                    <li>Hardware</li>
                    <li>Software</li>
                    <ul>Three major Operations
                        <li>Input</li>
                        <li>Processing</li>
                        <li>Output</li>
                    </ul>

                </ul>
            </section>
            <section>
                <h2>A very quick review of how computers work</h2>
            </section>
			<section>
                <h2>Binary</h2>
                <ul>
                    <li>Binary Number is made up of 0s and 1s</li>
                    <li>"Bit" = Binary Digit</li>
                </ul>    
            </section>
            <section>
                <h2>Bit(s)</h2>
				<table>
					<tr>
							<td>2<sup>10</sup></td>
							<td>2<sup>9</sup></td>
							<td>2<sup>8</sup></td>
							<td>2<sup>7</sup></td>
							<td>2<sup>6</sup></td>
							<td>2<sup>5</sup></td>
							<td>2<sup>4</sup></td>
							<td>2<sup>3</sup></td>
							<td>2<sup>2</sup></td>
							<td>2<sup>1</sup></td>
							<td>2<sup>0</sup></td>

						</tr>

						<tr>
							<td>1024</td>
							<td>512</td>
							<td>256</td>
							<td>128</td>
							<td>64</td>
							<td>32</td>
							<td>16</td>
							<td>8</td>
							<td>4</td>
							<td>2</td>
							<td>1</td>

						</tr>
					</table>
				</section>
				<section>
                    <h2>Binary</h2>
                    <table style="border: 2px solid #1c87c9;">
						<tr>
                            <td>0</td>
                            <td>1</td>
                            <td>2</td>
                            <td>3</td>
                            <td>4</td>
                            <td>5</td>
                            <td>6</td>
                            <td>7</td>
                            <td>8</td>
                            <td>9</td>
                            <td>10</td>
                            <td>11</td>
                            <td>12</td>
                            <td>13</td>
                            <td>14</td>
                            <td>15</td>
                        </tr>
                        <tr>
                            <td>0000</td>
                            <td>0001</td>
                            <td>0010</td>
                            <td>0011</td>
                            <td>0100</td>
                            <td>0101</td>
                            <td>0110</td>
                            <td>0111</td>
                            <td>1000</td>
                            <td>1001</td>
                            <td>1010</td>
                            <td>1011</td>
                            <td>1100</td>
                            <td>1101</td>
                            <td>1110</td>
                            <td>1111</td>
                        </tr>
                    </table>
                </section>
                <section>
					<h2>Binary</h2>
					<table style="border: 2px solid #1c87c9;">
						<tr>

							<td>2<sup>10</sup></td>
							<td>2<sup>9</sup></td>
							<td>2<sup>8</sup></td>
							<td>2<sup>7</sup></td>
							<td>2<sup>6</sup></td>
							<td>2<sup>5</sup></td>
							<td>2<sup>4</sup></td>
							<td>2<sup>3</sup></td>
							<td>2<sup>2</sup></td>
							<td>2<sup>1</sup></td>
							<td>2<sup>0</sup></td>

						</tr>

						<tr>
							<td>1024</td>
							<td>512</td>
							<td>256</td>
							<td>128</td>
							<td>64</td>
							<td>32</td>
							<td>16</td>
							<td>8</td>
							<td>4</td>
							<td>2</td>
							<td>1</td>

						</tr>
						<tr>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>64</td>
							<td>-</td>
							<td>16</td>
							<td>8</td>
							<td>-</td>
							<td>2</td>
							<td>-</td>

						</tr>
						<tr>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>1</td>
							<td>-</td>
							<td>1</td>
							<td>1</td>
							<td>-</td>
							<td>1</td>
							<td>1</td>

						</tr>
						<tr style="border: 2px solid #1c87c9;">
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>1</td>
							<td>0</td>
							<td>1</td>
							<td>1</td>
							<td>0</td>
							<td>1</td>
							<td>0</td>

						</tr>

					</table>
				</section>

				<section>
					<h2>Example #2 </h2>
					<table style="border: 2px solid #1c87c9;">
						<tr>

							<td>2<sup>10</sup></td>
							<td>2<sup>9</sup></td>
							<td>2<sup>8</sup></td>
							<td>2<sup>7</sup></td>
							<td>2<sup>6</sup></td>
							<td>2<sup>5</sup></td>
							<td>2<sup>4</sup></td>
							<td>2<sup>3</sup></td>
							<td>2<sup>2</sup></td>
							<td>2<sup>1</sup></td>
							<td>2<sup>0</sup></td>

						</tr>

						<tr>
							<td></td>
							<td></td>
							<td></td>
							<td></td>
							<td></td>
							<td></td>
							<td></td>
							<td></td>
							<td></td>
							<td></td>
							<td></td>

						</tr>
						<tr>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>-</td>

						</tr>
						<tr>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>-</td>
							<td>-</td>

						</tr>
						<tr style="border: 2px solid #1c87c9;">
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>1</td>
							<td>0</td>
							<td>0</td>
							<td>1</td>
							<td>1</td>
							<td>1</td>
						</tr>

					</table>
				</section>
				<section>
					<h2>Example #3 </h2>
					<table style="border: 2px solid #1c87c9;">
						<tr>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>1</td>
							<td>0</td>
							<td>1</td>
							<td>0</td>
							<td>1</td>
							<td>0</td>
						</tr>

					</table>
				</section>
				<section>
					<h2>But what about hex?</h2>
					<table style="border: 2px solid #1c87c9;">
						<tr>
							<td>Binary</td>
							<td>Decimal</td>
							<td>Hex</td>
							<td>&centerdot;</td>
							<td>Binary</td>
							<td>Decimal</td>
							<td>Hex</td>
							<td></td>
						</tr>
						<tr>
							<td>0000</td>
							<td>0</td>
							<td>0</td>
							<td>&centerdot;</td>
							<td>1000</td>
							<td>8</td>
							<td>8</td>
							<td></td>
						</tr>
						<tr>
							<td>0010</td>
							<td>2</td>
							<td>2</td>
							<td>&centerdot;</td>
							<td>1001</td>
							<td>9</td>
							<td>9</td>
							<td></td>
						</tr>
						<tr>
							<td>0011</td>
							<td>3</td>
							<td>3</td>
							<td>&centerdot;</td>
							<td>1010</td>
							<td>10</td>
							<td>A</td>
							<td></td>

						</tr>
						<tr>
							<td>0100</td>
							<td>4</td>
							<td>4</td>
							<td>&centerdot;</td>
							<td>1011</td>
							<td>11</td>
							<td>B</td>
							<td></td>

						</tr>
						<tr>
							<td>0101</td>
							<td>5</td>
							<td>5</td>
							<td>&centerdot;</td>
							<td>1100</td>
							<td>12</td>
							<td>C</td>
							<td></td>

						</tr>
						<tr>
							<td>0110</td>
							<td>6</td>
							<td>6</td>
							<td>&centerdot;</td>
							<td>1101</td>
							<td>13</td>
							<td>D</td>
							<td></td>

						</tr>
						<tr>
							<td>0111</td>
							<td>7</td>
							<td>7</td>
							<td>&centerdot;</td>
							<td>1110</td>
							<td>14</td>
							<td>E</td>
                            <td></td>
                        </tr>
                        <tr>
                            <td>1000</td>
							<td>8</td>
							<td>8</td>
							<td>&centerdot;</td>
							<td>1111</td>
							<td>15</td>
							<td>F</td>
                            <td></td>
                        </tr>
					</table>

				</section>
				<section>
					<table>
						<tr>
							<td>Binary</td>
							<td>&centerdot;</td>
							<td>Decimal</td>
							<td>&centerdot;</td>
							<td>Hex(adecimal)</td>
						</tr>
						<tr>
							<td>Base 2</td>
							<td>&centerdot;</td>
							<td>Base 10</td>
							<td>&centerdot;</td>
							<td>Base 16</td>
						</tr>
						<tr>
							<td>0-1</td>
							<td>&centerdot;</td>
							<td>0-9</td>
							<td>&centerdot;</td>
							<td>0-F</td>
						</tr>
					</table>
                </section>
            </section>
			<section>
				<section>
					<h2>Binary Operations</h2>
					<ul>
						<li>Logic (<i style="font-size: 80%">is the foundation</i>) i.e.<br /><b>AND</b>, <b>OR</b>,
							<b>XOR</b> </li>

						<li>Math that you know i.e. PEMDAS <br />
							<i style="font-size: 80%"> Dear Aunt Sally still matters </i></li>
						<li>Some slightly new math
							<ul>
								<li>left/right shift</li>
								<li>big/little Endian</li>
								<li>modulo i.e. clock math</li>
							</ul>
						</li>
					</ul>
				</section>
				<section>
                    <h2>AND</h2>
                    <ul>
                        <li>The & operator computes the logical AND of its operands</li>
                        <li> The result of <b>x & y</b> is true if both <b>x and y</b> evaluate to <b>true</b></li>
                        <li>The <b>&</b> operator evaluates all operands and if any are false the result is false</li>
                    </ul>
                </section>
                <section>
                    <h2>AND (example)</h2>
					<table>
						<tr style="border: 2px solid #1c87c9;">
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>1</td>
							<td>0</td>
							<td>1</td>
							<td>1</td>
							<td>0</td>
							<td style="color: #1976">1</td>
							<td>0</td>
						</tr>
						<tr style="border: 2px solid #1c87c9;">
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>1</td>
							<td>0</td>
							<td>0</td>
							<td>1</td>
							<td style="color: #1976">1</td>
							<td>1</td>
						</tr>
						<tr style="border: 2px solid #FF3626">
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td style="color: #1976">1</td>
							<td>0</td>
						</tr>
					</table>

				</section>

				<section>
                    <h2>OR</h2>
                    <ul>
                        <li>The | operator computes the logical OR of its operands.</li>
                        <li>The result of x | y is true if either x or y evaluates to true</li>
                    </ul>
                </section>
                <section>
                    <h2>OR (example)</h2>
					<table>


						<tr style="border: 2px solid #1c87c9;">
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>1</td>
							<td>0</td>
							<td>1</td>
							<td>1</td>
							<td>0</td>
							<td>1</td>
							<td>0</td>
						</tr>
						<tr style="border: 2px solid #1c87c9;">
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>1</td>
							<td>0</td>
							<td>0</td>
							<td>1</td>
							<td>1</td>
							<td>1</td>
						</tr>
						<tr style="border: 2px solid #FF3626">
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>1</td>
							<td>1</td>
							<td>1</td>
							<td>1</td>
							<td>1</td>
							<td>1</td>
							<td>1</td>
						</tr>
					</table>




				</section>

				<section>
					<h2>XOR</h2>
                    <h3>like OR, but <i>EXCLUSIVE</i></h3>
                    <ul>
                        <li>The ^ operator computes the logical exclusive OR</li>
                        <li>The result of x ^ y is true if x evaluates to true and y evaluates to false</li>
                        <li>The result of x ^ y is true if x evaluates to false and y evaluates to true</li>
                    </ul>
                </section>    
                <section>
                    <h2>XOR (example)</h2>
					<table>
						<tr style="border: 2px solid #1c87c9;">
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td style="color: #1976">1</td>
							<td>0</td>
							<td style="color: #1976">1</td>
							<td style="color: #1976">1</td>
							<td>0</td>
							<td style="color: #FF4500">1</td>
							<td>0</td>
						</tr>
						<tr style="border: 2px solid #1c87c9;">
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td style="color: #1976">1</td>
							<td>0</td>
							<td>0</td>
							<td style="color: #1976">1</td>
							<td style="color: #FF4500">1</td>
							<td style="color: #1976">1</td>
						</tr>
						<tr style="border: 2px solid #FF3626">
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td style="color: #1976">1</td>
							<td style="color: #1976">1</td>
							<td style="color: #1976">1</td>
							<td style="color: #1976">1</td>
							<td style="color: #1976">1</td>
							<td>0</td>
							<td style="color: #1976">1</td>
						</tr>
					</table>
                </section>
            </section>
            <section>
				<section>
					<h2>Binary Lab Pt. 1 from GitLab</h2>
					<h3>Be prepared to show your work.</h3>
				</section>
				<section>
					<h2>Binary Addition</h2>
					<img src="../assets/binary-addition.png" alt="binary addition">
					<br>
					<a style="font-size: 80%" href="http://sandbox.mc.edu/~bennet/cs110/pm/add.html">Examples here</a>
				</section>
				<section>
					<h2>Binary Subtraction</h2>

					<img src="../assets/binary-subtraction.png" alt="binary subtraction">
					<br>
					<a style="font-size: 80%" href="http://sandbox.mc.edu/~bennet/cs110/pm/add.html">Examples here</a>


				</section>

				<section>
					<h2>Binary Multiplication </h2>

					<img src="../assets/binary-multiplication.png" alt="binary multiplication">
					<br>
					<a style="font-size: 80%" href="https://www.exploringbinary.com/binary-multiplication/">Examples
						here</a>

				</section>
            </section>
            <section>
				<section>
					<a href="https://www.youtube.com/watch?v=h24_zoqu4_Q"><img height="200"
							src="../assets/cupid-shuffle.png" alt="To the right, to the right"></a>
					<h4>&lt;&lt; to the left, to the left.</h4>
					<h4>&gt;&gt; to the right, to the right.</h4>
					<h2>Bitwise Shift </h2>

				</section>

				<section>
					<h2>Shifts</h2>
					<table>
						<tr>
							<td><b>&lt;&lt;</b></td>
							<td>Left Shift</td>
							<td><img src="../assets/left-shift.png" alt="Left shift"></img> </td>
						</tr>
						<tr>
							<td><b>&gt;&gt;</b></td>
							<td>Right Shift</td>
							<td><img src="../assets/better_right_shift.png" alt="Right shift"></td>
						</tr>
					</table>
				</section>

				<section>
					<h2>Don't be so Negative</h2>
					<table>
						<tr>
							<td>Positive</td>
							<td><img src="../assets/positive-binary.png" alt="Positive Binary"></img></td>
						</tr>
						<tr>
							<td>Negative</td>
							<td><img src="../assets/negative-binary.png" alt="Negative Binary"></td>
						</tr>
					</table>

					<p style="font-size: 80%;">See <a
							href="https://www.electronics-tutorials.ws/binary/signed-binary-numbers.html">here </a> for
						more information.</p>
				</section>
            </section>
            <section>
				<section>
					<h2>Endianness</h2>
					<h3>Big ended or little ended?</h3>
					<img src="../assets/endian.png" alt="Big vs little endian">
					<br />
					<a style="font-size: 80%" href="https://www.geeksforgeeks.org/little-and-big-endian-mystery/">More
						information here</a>
				</section>
            </section>
            <section>
				<section>
					<h2>Complete the Binary Lab Pt. 2 from GitLab</h2>
					<h3>Be prepared to show your work.</h3>
				</section>
            </section>
            <section>
				<section>
					<h2>Basic Data Types</h2>
					<h3>C, Python, etc...</h3>
					<table>
						<tr>
							<td>Data Type</td>
							<td>Size</td>
							<td>Possible Values</td>
						</tr>
						<tr>
							<td>byte</td>
							<td>8 bits</td>
							<td> --- </td>
						</tr>
						<tr>
							<td>boolean*</td>
							<td>1 byte</td>
							<td>True or False*</td>
						</tr>
						<tr>
							<td>char</td>
							<td>1 byte</td>
							<td>-128 to 127 or 0 to 255*</td>
						</tr>
						<tr>
							<td>int</td>
							<td>2 or 4 bytes</td>
							<td>-32,768 to 32,767<br />-2,147,483,648 to 2,147,483,647</td>
						</tr>
					</table>
					<p>See more <a href="https://www.tutorialspoint.com/cprogramming/c_data_types.htm">here</a> and <a
							href="https://www.pytables.org/usersguide/datatypes.html">here</a> or <a
							href="https://docs.oracle.com/cd/E19253-01/817-6223/chp-typeopexpr-2/index.html">here</a>
					</p>
				</section>
				<section>
					<h2>Basic Data Types</h2>
					<h3>C, Python, etc...</h3>
					<table>
						<tr>
							<td>Data Type</td>
							<td>Size</td>
							<td>Possible Values</td>
						</tr>

						<tr>
							<td>float</td>
							<td>4 bytes</td>
							<td>6 decimal places</td>
						</tr>
						<tr>
							<td>double</td>
							<td>8 bytes</td>
							<td>15 decimal places</td>
						</tr>
						<tr>
							<td>long</td>
							<td>8 bytes</td>
							<td>-9223372036854775808 to 9223372036854775807</td>
						</tr>
					</table>

					<p>See more <a href="https://www.tutorialspoint.com/cprogramming/c_data_types.htm">here</a> and <a
							href="https://www.pytables.org/usersguide/datatypes.html">here</a></p>

				</section>

				<section>
					<h3>Eight bytes walk into a bar.</h3>
					<h3>The bartender asks, "<i style="color: #1976">Can I get you anything?</i></h3>
					<h3>“Yeah”, reply the bytes. “Make us a <i style="color: #FF4500">double</i>”</h3>

				</section>

				<section>
					<h3>32 Bits walk into a bar- <br />
						The bartender asks "<i style="color: #1976">Can I get you anything?</i> <br />
						They reply "Make us a <i style="color: #FF4500">float</i>"
					</h3>

				</section>

				<section>
					<h2>-Side Note-</h2>
					<h2>What about 'clock math'?</h2>
					<h3>AKA modulo</h3>
				</section>
            </section>
            <section>
				<section>
                    <h2>Understanding Languages</h2>
					<h4>Low -> High Level Languages</h4>
					<img src="../assets/low-to-high-languages.png" alt="low to high level languages">
					<br />
					<p>See also <a href="https://www.mrdfinch.com/high-and-low-level-languages.html">here</a>.</p>
				</section>

				<section>
					<p>Languages are Compiled to translate them to machine language.</p>
					<table>
						<tr>
							<td>Source Code</td>
							<td>Compiled Code</td>
						</tr>
						<tr>
							<td><img width="360" height="300" src="../assets/hellodotc.png"
									alt="Source code for hello.c"></td>
							<td><img width="360" height="300" src="../assets/catadotout.png" alt="cat a.out"></td>
						</tr>
					</table>
				</section>
				<section>
					<h2>Compiled vs. Interpreted</h2>
					<h3>TL;DR - <i style="color:#FF4500"> all at once </i> vs. <b style="color:#1976">step-by-step</b>
					</h3>
					<img height="360" src="../assets/compiledvsinterpreted.png"
						alt="Compiled vs. Interpreted languages">
					<br />
					<p>See <a
							href="https://stackoverflow.com/questions/2657268/whats-the-difference-between-compiled-and-interpreted-language">this
							discussion</a> on Stack Overflow</p>
				</section>
				<section>
					<h2>Programming languages</h2>
					<ul>
						<li>low level - Assembly, C </li>
						<li>high level - Python, Ruby </li>
						<li>compiled or interpreted </li>
						<ul>Important components:
							<li>syntax</li>
							<li>memory management</li>
							<li>variables</li>
							<li>control flow</li>
						</ul>

					</ul>
                </section>
            </section>
            <section>
                <section >
                    <h2>Review</h2>
                    <ul>
                        <li><em>Overview of computer systems</em></li>
                        <li>
                            Understand Binary
                            <ul>
                                <li>Logical Operators</li>
                                <li>Binary Arithmetic</li>
                            </ul>
                        </li>
                        <li>Bitwise Shift</li>
                        <li>Programming Languages
                            <ul>
                                <li>Compiled vs Interpreted</li>
                            </ul>
                        </li>
                    </ul>
                    <aside class="notes">
                        Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for
                        instructor view!!
                    </aside>
                </section>
                <section>
                    <h2>Questions</h2>
                </section>
            </section>
        </div>
	</div>
	<!-- This footer doesn't work. Need to play with CSS -->
	<!-- <footer style="background:green; left:0; right:0; position:absolute; height:30px;">
			<div style="text-align: center;">(U)Unclassified</div>
		</footer> -->

	<!-- DO NOT TOUCH -->
	<script src="js/reveal.js"></script>

	<script>
		Reveal.initialize({
			slideNumber: true,
			hash: true,
			menu: {
				side: 'left',
				width: 'normal',
				numbers: true,
				titleSelector: 'h1, h2, h3, h4, h5, h6',
				useTextContentForMissingTitles: false,
				hideMissingTitles: false,
				markers: true,
				custom: false,
				themes: true,
				themesPath: 'css/theme/',
				transitions: true,
				openButton: true,
				openSlideNumber: true,
				keyboard: true,
				sticky: true,
				autoOpen: true,
				delayInit: false,
				openOnInit: false,
				loadIcons: true
			},
			dependencies: [
				{ src: 'plugin/markdown/marked.js' },
				{ src: 'plugin/markdown/markdown.js' },
				{ src: 'plugin/highlight/highlight.js' },
				{ src: 'plugin/notes/notes.js', async: true },
				{ src: 'plugin/reveal.js-menu/menu.js' }
			]
		});
		Reveal.configure({ slideNumber: true })
	</script>
</body>

</html>